Support » Plugin: LiteSpeed Cache » How to Get Help – lazy load woocommerce

  • Resolved Vàng Pet

    (@vangpet)


    I have a problem with lazy loading litespeed – I use woocomerce on the flatsome theme // woocommerce-product-gallery theme that has (Firstly image )skip-lazy is too good ” woocommerce-product-gallery slide is-selected (after gallery image) “automatically add skip-lazy I don’t want to skip lazy load woocommerce-product-gallery slide is-selected – how do I not skip-lazy woocommerce -product-gallery slide is-selected .
    How can I skip the class=”skip-lazy” class with product-gallery-image Flickity js

    The page I need help with: [log in to see the link]

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Support qtwrk

    (@qtwrk)

    Hi,

    You mean you want to exclude woocommerce-product-gallery from being lazy loaded or something ?

    I am not quite understand your question.

    Best regards,

    I’m not very good at English, sympathetic, I mean the opposite wants to be lazy loading.
    I mean I want to lazy load image slider, litespeed automatically add class “skip-lazy” to slider images, I really want lazy load image slider

    • This reply was modified 4 months, 3 weeks ago by Vàng Pet.
    Plugin Support qtwrk

    (@qtwrk)

    Hi,

    No , that “skip lazy” is already there by default without LiteSpeed cache.

    You can verify it by disabling cache plugin and check again.

    And from what I see , this gallery plugin already has a lazyload feature

      <figure class="woocommerce-product-gallery__wrapper product-gallery-slider slider slider-nav-small mb-half"
            data-flickity-options='{
                    "cellAlign": "center",
                    "wrapAround": true,
                    "autoPlay": false,
                    "prevNextButtons":true,
                    "adaptiveHeight": true,
                    "imagesLoaded": true,
                    "lazyLoad": 1,
                    "dragThreshold" : 15,
                    "pageDots": false,
                    "rightToLeft": false       }'>

    Please try check its native lazyload function.

    Best regards,

    Hi,

    I am trying to install woocommerce and keep getting “There was a problem updating your preference” in the install screen where it tries to install jetpack. I am wondering if it is the speed of the server.

    Does anyone have an idea?

    Plugin Support qtwrk

    (@qtwrk)

    Hi,

    @dsteward86 please create a separated topic for your issue.

    Best regards,

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.